QCAT - User Story #1793

Refactor configuration object
06 Feb 2018 15:12 - Sebastian Manger

Status: Rejected Start date: 06 Feb 2018
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 400.00 hours
Target version: QCAT Backlog Spent time: 0.00 hour
Resolution:

Description

Intro

The configuration was created as modular structure, to link different questionnaires. As an example, a 'light' questionnaire could be
combined with a module for 'climate change' and a 'plus' module. Although this was planned, the questionnaires actually requested
are 'large' blobs of questions, and not modular.

Therefore, the technical implementation doesn't reflect the actual reality, the modules are not used at all. This misconception leads to
performance problems (page load time and RAM consumption). Resolving this would lead to a leaner, more maintainable, more
flexible application.

Technical detail

Refactor the configuration object (2k lines of code; ~50k lines of JSON - this could be automated)
Update tests

Use python objects instead of JSON

Goal: split configuration into smaller objects

This is the very heart of the application

Estimate breakdown

¢ Rough estimate, as this is out of scope.

History

#1 - 06 Feb 2018 18:21 - Sebastian Manger
- translation missing: en.field_tag_list set to Improvement
- Description updated

- Estimated time set to 400.00 h

#2 - 22 Feb 2018 10:13 - Kurt Gerber
- Target version changed from Carbon Benefit to QCAT Backlog

#3 - 10 Oct 2018 08:59 - Kurt Gerber

- Status changed from New to Rejected
